## netperfmeter-2.0.1.tar.xz

=== CMakeLists.txt ===
# ==========================================================================
#         _   _      _   ____            __ __  __      _
#        | \ | | ___| |_|  _ \ ___ _ __ / _|  \/  | ___| |_ ___ _ __
#        |  \| |/ _ \ __| |_) / _ \ '__| |_| |\/| |/ _ \ __/ _ \ '__|
#        | |\  |  __/ |_|  __/  __/ |  |  _| |  | |  __/ ||  __/ |
#        |_| \_|\___|\__|_|   \___|_|  |_| |_|  |_|\___|\__\___|_|
#
#                  NetPerfMeter -- Network Performance Meter
#                 Copyright (C) 2009-2026 by Thomas Dreibholz
# ==========================================================================
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact:  dreibh@simula.no
# Homepage: https://www.nntb.no/~dreibh/netperfmeter/

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(netperfmeter LANGUAGES C CXX)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "0")
SET(BUILD_PATCH "1")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   FIND_LIBRARY(SCTP_LIBRARY sctp)
   IF (NOT SCTP_LIBRARY)
      MESSAGE(FATAL_ERROR
              " Cannot find Linux Kernel SCTP library! Try:\n"
              " * Ubuntu/Debian: sudo apt install -y libsctp-dev\n"
              " * Fedora:        sudo dnf install -y lksctp-tools-devel\n"
              " * SuSE:          sudo zypper install -y lksctp-tools-devel\n"
              " * Alpine:        sudo apk add lksctp-tools-dev\n")
   ENDIF()

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
   MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### OPTIONS                                                             ####
#############################################################################

OPTION(WITH_ICONS          "Build NetPerfMeter icons and logo files" 1)
OPTION(WITH_KERNEL_SCTP    "Use Kernel SCTP"                         1)
OPTION(WITH_PLOT_PROGRAMS  "Build plot programs"                     1)
OPTION(WITH_TEST_PROGRAMS  "Build test programs"                     0)


#############################################################################
#### COMPILER FLAGS                                                      ####
#############################################################################

INCLUDE(CheckCCompilerFlag)

# ------ Check for "address-of-packed-member" -------------------------------
CHECK_C_COMPILER_FLAG("-Waddress-of-packed-member -Werror" HAS_ADDRESS_OF_PACKED_MEMBER)
IF (HAS_ADDRESS_OF_PACKED_MEMBER)
   # Disable "address-of-packed-member" warning:
   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-address-of-packed-member")
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-address-of-packed-member")
ENDIF()


#############################################################################
#### CHECK STRUCT MEMBERS                                                ####
#############################################################################

# ====== Structure members ==================================================
INCLUDE(CheckStructHasMember)

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


# ====== IEEE floating-point numbers ========================================
INCLUDE(CheckCSourceRuns)
CHECK_C_SOURCE_RUNS("
#include <stdio.h>

union DoubleIntUnion
{
   double             Double;
   unsigned long long Integer;
};

int main (int argc, char** argv)
{
   union DoubleIntUnion value;

   value.Double = 0.0;
   if(value.Integer != 0ULL) {
      return(1);
   }
   value.Double = 1000.5;
   if(value.Integer != 0x408f440000000000ULL) {
      return(1);
   }
   value.Double = -1000.5;
   if(value.Integer != 0xc08f440000000000ULL) {
      return(1);
   }

   return 0;
}"
USES_IEEEFP_FP)

IF (USES_IEEEFP_FP)
   ADD_DEFINITIONS(-DHAVE_IEEE_FP)
ENDIF()


# ====== DCCP support =======================================================
CHECK_C_SOURCE_COMPILES("
#include <sys/socket.h>
#include <netinet/in.h>
#include <linux/dccp.h>

int main (int argc, char** argv)
{
   volatile int domain = IPPROTO_DCCP;
   volatile int type   = SOCK_DCCP;
   volatile int opt    = DCCP_SOCKOPT_SERVICE;
   return 0;
}"
HAVE_DCCP)

IF (HAVE_DCCP)
   ADD_DEFINITIONS(-DHAVE_DCCP)
ENDIF()


# ====== MPTCP support ======================================================
CHECK_C_SOURCE_COMPILES("
#include <sys/socket.h>
#include <netinet/in.h>
#include <linux/mptcp.h>

int main (int argc, char** argv)
{
   volatile int domain = IPPROTO_MPTCP;
   return 0;
}"
HAVE_MPTCP)

IF (HAVE_MPTCP)
   ADD_DEFINITIONS(-DHAVE_MPTCP)
ENDIF()


# ====== QUIC support =======================================================
CHECK_C_SOURCE_COMPILES("
#include <sys/socket.h>
#include <netinet/in.h>
#include <linux/quic.h>

int main (int argc, char** argv)
{
   volatile int domain = IPPROTO_QUIC;
   return 0;
}"
HAVE_QUIC)

IF (HAVE_QUIC)
   FIND_LIBRARY(QUIC_LIBRARY NAMES quic)
   IF (QUIC_LIBRARY)
      FIND_LIBRARY(GNUTLS_LIBRARY NAMES gnutls)
      IF (NOT GNUTLS_LIBRARY)
         MESSAGE(FATAL_ERROR
               " Cannot find GnuTLS library (which is required for QUIC)! Try:\n"
               " * Ubuntu/Debian: sudo apt install -y libgnutls28-dev\n"
               " * Fedora:        sudo dnf install -y  gnutls-devel\n"
               " * SuSE:          sudo zypper install -y libgnutls-devel\n"
               " * Alpine:        sudo apk add gnutls-dev\n"
               " * FreeBSD:       sudo pkg install -y gnutls")
      ENDIF()
      LIST(APPEND QUIC_LIBRARY ${GNUTLS_LIBRARY})
      ADD_DEFINITIONS(-DHAVE_QUIC)
   ELSE()
      MESSAGE(WARNING "QUIC is available, but libquic is not!")
   ENDIF()
ENDIF()


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Threads ============================================================
FIND_PACKAGE(Threads REQUIRED)

# ====== libbz2 =============================================================
FIND_LIBRARY(BZ2_LIBRARY NAMES bz2)
IF (NOT BZ2_LIBRARY)
   MESSAGE(FATAL_ERROR
           " Cannot find BZ2 library! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y libbz2-dev\n"
           " * Fedora:        sudo dnf install -y bzip2-devel\n"
           " * SuSE:          sudo zypper install -y libbz2-devel\n"
           " * Alpine:        sudo apk add bzip2-dev\n"
           " * FreeBSD:       sudo pkg install -y bzip2")
ENDIF()

# ====== SCTP ===============================================================
IF (WITH_KERNEL_SCTP)
   # ====== Kernel SCTP =====================================================
   CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
   IF (HAVE_NETINET_SCTP_H)
      SET(SCTP_INCLUDE "netinet/sctp.h")
      ADD_DEFINITIONS(-DHAVE_KERNEL_SCTP -DHAVE_NETINET_SCTP_H)
   ENDIF()

ELSE()
   # ====== SCTPLIB User-Space SCTP =========================================
   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPLIB_SCTP_H)
   FIND_LIBRARY(SCTPLIB_LIB sctplib)
   MESSAGE(STATUS "sctplib found: ${SCTPLIB_LIB}")
   IF (NOT HAVE_SCTPLIB_SCTP_H OR NOT SCTPLIB_LIB)
      MESSAGE(FATAL_ERROR
              " Cannot find libsctplib user-space SCTP library! Try -DWITH_KERNEL_SCTP=1?")
   ENDIF()

   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPSOCKET_SCTP_H)
   FIND_LIBRARY(SCTPSOCKET_LIB sctpsocket)
   MESSAGE(STATUS "sctpsocket found: ${SCTPSOCKET_LIB}")
   IF (NOT HAVE_SCTPSOCKET_SCTP_H OR NOT SCTPSOCKET_LIB)
      MESSAGE(FATAL_ERROR

=== freebsd/netperfmeter/Makefile ===
PORTNAME=	netperfmeter
DISTVERSION=	2.0.1
PORTREVERSION=	1
CATEGORIES=	benchmarks
MASTER_SITES=	https://www.nntb.no/~dreibh/netperfmeter/download/

MAINTAINER=	dreibh@simula.no
COMMENT=	Network Performance Meter
WWW=		https://www.nntb.no/~dreibh/netperfmeter/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

BUILD_DEPENDS=	gm:graphics/GraphicsMagick \
		pdf2svg:graphics/pdf2svg

USES=		cmake desktop-file-utils ghostscript shebangfix tar:xz

RUN_DEPENDS=	R-cran-bit64>0:devel/R-cran-bit64 \
		R-cran-data.table>0:devel/R-cran-data.table \
		R-cran-dplyr>0:math/R-cran-dplyr \
		R-cran-ggplot2>0:graphics/R-cran-ggplot2 \
		R-cran-R.utils>0:devel/R-cran-R.utils

SHEBANG_FILES=	src/pdfembedfonts src/plot-netperfmeter-results \
		src/setpdfmetadata

CMAKE_OFF=	WITH_TEST_PROGRAMS
CMAKE_ON=	WITH_ICONS WITH_PLOT_PROGRAMS

# Work-around for build issue on ARM (https://bugs.freebsd.org/285706):
MAKE_ENV=       OMP_NUM_THREADS=1

.include <bsd.port.mk>

=== src/examples/CMakeLists.txt ===
# ==========================================================================
#         _   _      _   ____            __ __  __      _
#        | \ | | ___| |_|  _ \ ___ _ __ / _|  \/  | ___| |_ ___ _ __
#        |  \| |/ _ \ __| |_) / _ \ '__| |_| |\/| |/ _ \ __/ _ \ '__|
#        | |\  |  __/ |_|  __/  __/ |  |  _| |  | |  __/ ||  __/ |
#        |_| \_|\___|\__|_|   \___|_|  |_| |_|  |_|\___|\__\___|_|
#
#                  NetPerfMeter -- Network Performance Meter
#                 Copyright (C) 2009-2026 by Thomas Dreibholz
# ==========================================================================
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact:  dreibh@simula.no
# Homepage: https://www.nntb.no/~dreibh/netperfmeter/

#############################################################################
#### EXAMPLES                                                            ####
#############################################################################

INSTALL(PROGRAMS    run-experiment1 plot-experiment
        DESTINATION ${CMAKE_INSTALL_DATADIR}/netperfmeter)

=== src/logo/CMakeLists.txt ===
# ==========================================================================
#         _   _      _   ____            __ __  __      _
#        | \ | | ___| |_|  _ \ ___ _ __ / _|  \/  | ___| |_ ___ _ __
#        |  \| |/ _ \ __| |_) / _ \ '__| |_| |\/| |/ _ \ __/ _ \ '__|
#        | |\  |  __/ |_|  __/  __/ |  |  _| |  | |  __/ ||  __/ |
#        |_| \_|\___|\__|_|   \___|_|  |_| |_|  |_|\___|\__\___|_|
#
#                  NetPerfMeter -- Network Performance Meter
#                 Copyright (C) 2009-2026 by Thomas Dreibholz
# ==========================================================================
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact:  dreibh@simula.no
# Homepage: https://www.nntb.no/~dreibh/netperfmeter/

#############################################################################
#### LOGO                                                                ####
#############################################################################

SET(LOGO "netperfmeter")

# To check the system's icon sizes available:
# find /usr/share/icons/hicolor/ -maxdepth 1 -type d -printf "%f\n" | grep -E "^[0-9]+" | sort | cut -dx -f1 | sort -n
SET(ICON_LENGTHS
   8
   16
   20
   22
   24
   32
   36
   40
   42
   44
   48
   64
   72
   96
   128
   150
   192
   256
   310
   512
)
SET(LOGO_LENGTH 1920)

IF (WITH_ICONS)
   FOREACH(iconLength IN ITEMS ${ICON_LENGTHS};${LOGO_LENGTH})
   # PNG with fixed width, height as necessary:
   ADD_CUSTOM_COMMAND(OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x.png
                      COMMAND ${GS} -dNOSAFER -dQUIET -dBATCH -dNOPAUSE -dNOPROMPT -dEPSCrop -dAlignToPixels=0 -dGridFitTT=2 -sDEVICE=pngalpha -r${iconLength}x -sOUTPUTFILE="${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x.png" "${CMAKE_CURRENT_SOURCE_DIR}/${LOGO}.pdf")
   ADD_CUSTOM_TARGET(generate_${LOGO}_${iconLength}x_png ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x.png)

   # PNG with fixed, same width and height:
   IF(NOT ${iconLength} STREQUAL "1920")
      ADD_CUSTOM_COMMAND(OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x${iconLength}.png
                         COMMAND ${GM} convert ${LOGO}-${iconLength}x.png -resize ${iconLength}x -background none -gravity center -extent ${iconLength}x${iconLength} ${LOGO}-${iconLength}x${iconLength}.png
                         DEPENDS generate_${LOGO}_${iconLength}x_png
                                 ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x.png)
      ADD_CUSTOM_TARGET(generate_${LOGO}_${iconLength}x${iconLength}_png ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x${iconLength}.png)

      # PNG icon of dimension ${iconLength}x${iconLength}:
      INSTALL(FILES       ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${iconLength}x${iconLength}.png
              DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${iconLength}x${iconLength}/apps
              RENAME      ${LOGO}.png)
   ENDIF()
   ENDFOREACH()

   # A high-resolution logo PNG file:
   INSTALL(FILES       ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}-${LOGO_LENGTH}x.png
           DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/netperfmeter
           RENAME      ${LOGO}.png)

   # Scalable logo PDF file:
   INSTALL(FILES ${LOGO}.pdf DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/netperfmeter)

   # Scalable SVG icon:
   ADD_CUSTOM_COMMAND(OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}.svg
                      COMMAND ${PDF2SVG} ${CMAKE_CURRENT_SOURCE_DIR}/${LOGO}.pdf ${LOGO}.svg)
   ADD_CUSTOM_TARGET(generate_${LOGO}_svg ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}.svg)
   INSTALL(FILES       ${CMAKE_CURRENT_BINARY_DIR}/${LOGO}.svg
           DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
ENDIF()

=== debian/changelog ===
netperfmeter (2.0.1-1ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Fix for Debian build issue (Closes: #1095771).
  * debian/control: Updated standards version to 4.7.3.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 25 Feb 2026 14:32:07 +0100

netperfmeter (2.0.0-1ubuntu1) plucky; urgency=medium

  * New upstream release.
  * debian/control: Moved architecture-independent files to netperfmeter-common.
  * debian/control: Updated standards version to 4.7.2.
  * debian/tests: Improved tests.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 18 Dec 2025 11:27:21 +0100

netperfmeter (1.9.7-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Fix for typo in manpage of setpdfmetadata (Closes: #1060277).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 10 Feb 2024 15:58:17 +0100

netperfmeter (1.9.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 18 Dec 2023 13:16:28 +0100

netperfmeter (1.9.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:30 +0100

netperfmeter (1.9.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:39:48 +1100

netperfmeter (1.9.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:05:06 +0200

netperfmeter (1.9.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 07 Nov 2021 20:05:41 +0100

netperfmeter (1.9.1-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 01 Nov 2021 09:53:15 +0100

netperfmeter (1.9.0-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:41:07 +0100

netperfmeter (1.8.7-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:14 +0100

netperfmeter (1.8.6-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:53 +0100

netperfmeter (1.8.6~rc2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.1.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Dec 2019 14:26:58 +0100

netperfmeter (1.8.5-1ubuntu1) eoan; urgency=medium

  * New upstream release.
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).
  * Added missing test script (Closes: #914336).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 10 Sep 2019 14:46:09 +0300

netperfmeter (1.8.4-1ubuntu1) disco; urgency=medium

  * New upstream release.
  * Closes: #914333 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 18:14:15 +0200

netperfmeter (1.8.3-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 26 Jul 2019 12:08:26 +0200

netperfmeter (1.8.2-1ubuntu1) disco; urgency=medium

  * New upstream release
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Jul 2019 09:59:56 +0200

netperfmeter (1.8.1-1ubuntu1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

netperfmeter (1.8.0-1ubuntu1) cosmic; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0200

netperfmeter (1.7.7-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 06 Jun 2018 08:08:08 +0200

netperfmeter (1.7.6-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 29 Oct 2017 08:08:08 +0200

netperfmeter (1.7.5-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 25 Aug 2017 08:08:08 +0200

netperfmeter (1.7.4-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/watch: URL update
  * debian/control: URL update

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0200

netperfmeter (1.7.3-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Aug 2017 08:08:08 +0200

netperfmeter (1.7.2-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/watch: fixed URL.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.1-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/rules: autoconf/automake -> cmake
  * debian/control: autoconf/automake -> cmake

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.0-1ubuntu1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 20 Apr 2017 08:08:08 +0200

netperfmeter (1.6.1-1ubuntu1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 04 Nov 2016 08:08:08 +0200

netperfmeter (1.6.0-1ubuntu1) yakkety; urgency=low



=== debian/control ===
Source: netperfmeter
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@simula.no>
Homepage: https://www.nntb.no/~dreibh/netperfmeter/
Vcs-Git: https://github.com/dreibh/netperfmeter.git
Vcs-Browser: https://github.com/dreibh/netperfmeter
Build-Depends: cmake,
               debhelper-compat (= 13),
               ghostscript,
               graphicsmagick,
               libbz2-dev,
               libsctp-dev (>= 1.0.5),
               pdf2svg
Standards-Version: 4.7.3
Rules-Requires-Root: no

Package: netperfmeter
Architecture: any
Depends: netperfmeter-common,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer,
            iproute2,
            libgnutls28-dev,
            netperfmeter-examples,
            netperfmeter-plotting,
            rsplib-tools,
            subnetcalc,
            tshark
Suggests: dynmhs,
          iputils-tracepath,
          netperfmeter-service,
          ping | iputils-ping,
          td-system-tools,
          traceroute | inetutils-traceroute
Description: Network Performance Meter (measurement program)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains the measurement program.

Package: netperfmeter-common
Architecture: all
Depends: ${misc:Depends}
Description: Network Performance Meter (common files)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains common NetPerfMeter files.

Package: netperfmeter-examples
Architecture: all
Depends: r-base-core,
         r-cran-bit64,
         r-cran-data.table,
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-r.utils,
         ${misc:Depends}
Description: Network Performance Meter (example scripts and results files)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains some NetPerfMeter example scripts and results files.

Package: netperfmeter-service
Architecture: all
Depends: netperfmeter,
         ${misc:Depends}
Suggests: hipercontracer,
          hipercontracer-trigger,
          td-system-tools
Description: Network Performance Meter (server service)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package sets up a service running a NetPerfMeter server instance.

Package: pdfproctools
Architecture: all
Depends: ghostscript,
         libpdf-api2-perl,
         perl (>= 5.8.0),
         qpdf,
         ${misc:Depends}
Description: PDF Processing Tools
 This package contains tools for PDF file processing.
 .
 SetPDFMetadata updates the metadata of a PDF file. In particular, it can be
 used to add outlines (bookmarks) to a document. Furthermore, it can set the
 document properties (e.g. author, title, keywords, creator, producer).
 .
 PDFEmbedFonts embeds all referenced fonts into a PDF file. Optionally, it
 can also linearize the PDF file for online publication
 ("fast web view", "optimized").

Package: netperfmeter-plotting
Architecture: all
Recommends: netperfmeter-examples
Depends: pdfproctools,
         r-base-core,
         r-cran-bit64,
         r-cran-data.table,
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-r.utils,
         ${misc:Depends}
Description: Network Performance Meter (plotting program)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains a plotting program for the results.

Package: netperfmeter-all
Architecture: all
Depends: netperfmeter,
         netperfmeter-common,
         netperfmeter-examples,
         netperfmeter-plotting,
         netperfmeter-service,
         pdfproctools,
         ${misc:Depends}
Description: NetPerfMeter metapackage for all sub-packages
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This metapackage installs all sub-packages of NetPerfMeter.

=== debian/tests/control ===
Tests: 10-netperfmeter-tcp-flow
Restrictions: allow-stderr
Depends: netperfmeter

# NOTE: This test needs the SCTP kernel module loaded!
Tests: 20-netperfmeter-multiprotocol-flows
Restrictions: allow-stderr
Depends: netperfmeter

# NOTE: This test needs the SCTP and DCCP kernel modules loaded!
# Using allow-fail here, since the DCCP module may be unavailable.
Tests: 21-netperfmeter-multiprotocol-flows
Restrictions: allow-stderr,
              flaky,
              needs-root
Depends: netperfmeter
